<%-include('./shared/header.ejs',{active:'dashboard'})%>
<!-- ########## START: MAIN PANEL ########## -->
<div class="br-mainpanel">
  <div class="br-pageheader pd-y-15 pd-l-20">
    <nav class="breadcrumb pd-0 mg-0 tx-12">
      <a class="breadcrumb-item" href="/dashboard">Dashboard</a>
      <span class="breadcrumb-item active">Degree</span>
    </nav>
  </div>
  <!-- br-pageheader -->
  <div class="pd-x-20 pd-sm-x-30 pd-t-20 pd-sm-t-30">
    <h4 class="tx-gray-800 mg-b-5">Degree</h4>
    <p class="mg-b-0">&nbsp;</p>
  </div>

  <div class="br-pagebody">
    <!-- start you own content here -->
    <div class="br-section-wrapper">
      <div class="form-layout form-layout-1 mb-5">
        <form id="mainForm" action="javascript:;">
          <div class="row mg-b-25">
            <div class="col-lg-8">
              <div class="form-group">
                <label class="form-control-label"
                  >Degree name: <span class="tx-danger">*</span></label
                >
                <input
                  class="form-control"
                  type="text"
                  name="name"
                  placeholder="Enter Degree name"
                />
              </div>
            </div>
            <!-- col-4 -->
          </div>
          <!-- row -->
          <div class="form-layout-footer">
            <button class="btn btn-info">Submit</button>
          </div>
          <!-- form-layout-footer -->
        </form>
      </div>
      <!-- form-layout -->

        <!-- list -->
        <div class="bd bd-gray-300 rounded table-responsive">
          <table class="table mg-b-0">
            <thead>
              <tr>
                <th>ID</th>
                <th>Degree  Name</th>
                <th>Status</th>
                <th>Edit</th>
                <th>Action</th>
              </tr>
            </thead>
            <tbody>
              <% var i = 0; %>
              <% other.forEach(function(other,index){ %>
              <tr>
                <th scope="row"><%= other.id %></th>
                <td><%= other.name %></td>

                <td>
                  <% if (other.active == 1) { %>
                      Active
                   <% } else { %>
                   <b style='color:red;'> In-Active</b> 
                    <% } %>
                </td>

                <td><a href="/other_edit/<%=other.id %>">
                  <button
                  type="button"
                  class="btn btn-secondary"
                  title="Edit"
                >
                  <i class="fa fa-pencil-square-o"></i>
                </button>
                </a></td>


                <td>
                  <div class="btn-group" role="group" aria-label="Basic example">
                   
                    <% if (other.active == 1) { %>
                      <a href="/other_inactive/<%=other.id %>">
                    <button
                    type="button"
                    class="btn btn-secondary"
                    title="Make inactive"
                  >
                    <i class="fa fa-eye-slash"></i>
                  </button>
                </a>
                  <% } else { %>
                    <a href="/other_active/<%=other.id %>">
                  <button
                  type="button"
                  class="btn btn-secondary"
                  title="Make active"
                >
                  <i class="fa fa-eye"></i>
                </button>
                </a>
                <% } %>



                  </div>
                </td>
              </tr>
              <% }); %>
            </tbody>
          </table>
        </div>



        <%-include('./shared/scripts.ejs')%>

<script>
  $("#mainForm").validate({
    normalizer: function (value) {
      return $.trim(value);
    },
    rules: {
      name: {
        required: true,
      },
    },
    messages: {
      name: {
        required: "Degree name is required",
      },
    },
    submitHandler: function (form) {
      $("button").prop("disabled", "disabled");
      var form = document.getElementById("mainForm");
      // var data = new FormData(form);
      $.ajax({
        type: "POST",
        url: "/other_register",
        data: $(form).serialize(),
        dataType: "json",
        headers: {
          "X-CSRF-TOKEN": $('meta[name="csrf-token"]').attr("content"),
        },
        success: function (data) {
          if (data.status == 1) {
            //toastr
            //end toastr
            setTimeout(function () {
              window.location.reload();
            }, 3000);
          } else {
            //toastr
            //end toastr
            setTimeout(function () {
              window.location.reload();
            }, 3000);
          }
          $("button").prop("disabled", false);
        },
        error: function (err) {
          $("button").prop("disabled", false);
        },
      });
      return false;
    },
  });
</script>

<%-include('./shared/footer.ejs')%>



